﻿html,body{
    max-width: 540px;
    margin: 0 auto;
    overflow: hidden;
	position: relative;
}
.tarotCardsWarp{
    overflow-y: scroll;
    max-height: 100%;
	position: relative;
}
.tarotCardsWarp::-webkit-scrollbar {
    display:none
}
.bgPurple{
    background-color: #594B9F !important;
}
.header{
	display: flex;
	align-items: center;
	justify-content: space-between;
}
.back{
	display: flex;
	align-items: center;
	justify-content: center;
	font-weight: 400;
	font-size: 0.4rem;
	color: #FFFFFF;
	position: absolute;
	top: 0.5333rem;
	left: 0.4rem;
	z-index: 100;
}
.back img{
	width: 0.2133rem;
	height: 0.3733rem;
	margin-right: 0.2rem;
	margin-top: 2px;
}
.info{
    display: flex;
    align-items: center;
	font-weight: 400;
	font-size: 0.4rem;
	color: #FFFFFF;
	position: absolute;
	top: 0.5333rem;
	right: 0.4rem;
	z-index: 100;
}
.info .fg{
    margin: 0 0.2rem;
}
.info .people{
    width: 0.3733rem;
    height: 0.3733rem;
    margin-right: 0.06667rem;
}
.info a{
	display: flex;
	align-items: center;
	font-weight: 400;
	font-size: 0.4rem;
	color: #FFFFFF;
}
.info a p{
	width: 3em;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.pai{
	display: block;
	width: 2.4266rem;
	height: 3.7066rem;
	margin: 0 auto;
}
.homeTitle{
	display: block;
	text-align: center;
	font-weight: 400;
	font-size: 0.64rem;
	background: linear-gradient(to right, #F6EEF9, #D8B1AC);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
	margin-top: 3.2933rem;
}
.homeTitle p{
	font-weight: 400;
	font-size: 0.4rem;
	color: #E0D0D7;
	margin-top: 0.8533rem;
}
.but_dh{
	display: flex;
	align-items: center;
	justify-content: center;
	width: 6.4533rem;
	height: 1.44rem;
	margin: 0.56rem auto;
	background: url(../images/but_dh.png) no-repeat;
	background-size: 100% 100%;
	font-weight: bold;
	font-size: 0.4rem;
	color: #DB582A;
	letter-spacing: 0.0933rem;
	margin-top: 1.2933rem;
	position: relative;
	z-index: 100;
}
.drawcards{
	width: 10rem;
	height: auto;
	margin-top: 3.8533rem;
	position: absolute;
}
.Shuffling{
	width: 10rem;
	height: auto;
	margin-bottom: -7.68rem;
}
.fapai{
	width: 10rem;
	margin-top: 1.4rem;
}
.xipailist {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: -0.8rem;
    padding-top: 1.434rem;
	margin-top: 1.4rem;
}
.xipailist img {
    width: 1.1466rem;
    height: 1.76rem;
    margin-right: -0.854rem;
}
.xipailist img.active{
    margin-top: -0.8rem;
}
.faxipaiWrap{
	display: inline-block;
	width: 10rem;
	height: 6.24rem;
	overflow: hidden;
	position: relative;
	z-index: 10;
}
.xipaiing{
	width: 7.6666rem;
	height: 2.3133rem;
	display: block;
	margin: 0 auto;
}
.xipaiing .sanjiao{
	width: 0.4rem;
	height: 0.32rem;
	display: block;
	margin: 0 auto;
}
.xipaiing .title{
	margin-top: 0.16rem;
	text-align: center;
	font-weight: 400;
	font-size: 0.3733rem;
	color: #E0D0D7;
	line-height: 0.64rem;
}
.pai2{
	position: relative;
}
.pai2 img{
	display: block;
	width: 2.4266rem;
	height: 3.7066rem;
	margin: 0 auto;
}
.pai2 .text{
	display: block;
	width: 10rem;
	text-align: center;
	position: absolute;
	font-weight: bold;
	font-size: 0.4rem;
	color: #FFFFFF;
	padding-top: 0.3466rem;
}
.loginPopup .van-overlay{
	background-color: rgba(0, 0, 0, .4);
}
.loginPopup .van-popup{
	width: 7.2533rem;
	border-radius: 0.4rem;
	background-color: #FEF7EA;
	display: flex;
	align-items: center;
	justify-content: center;
	overflow: inherit;
}
.loginPopup .van-popup .content{
	background-color: #FFFFFF;
	width: 6.9866rem;
	margin: 0.1333rem auto;
	border: 1px solid #EFDBBC;
	border-radius: 0.3466rem;
	padding: 0.5866rem 0;
}
.loginPopup .van-popup .content .title{
	font-weight: bold;
	font-size: 0.4266rem;
	color: #333333;
	text-align: center;
}
.loginPopup .van-popup .content .text{
	font-weight: 400;
	font-size: 0.3733rem;
	color: #333333;
	line-height: 0.6266rem;
	width: 5.3733rem;
	margin: 0 auto;
	text-align: center;
	margin-top: 0.5333rem;
}
.loginPopup .van-popup .content .btn{
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 0.5333rem;
}
.loginPopup .van-popup .content .btn span{
	display: flex;
	align-items: center;
	justify-content: center;
	width: 2.96rem;
	height: 1.0666rem;
	border-radius: 100px;
	border: 1px solid #6749B0;
	font-weight: 400;
	font-size: 0.3733rem;
	color: #6749B0;
	margin: 0 0.2133rem;
}
.loginPopup .van-popup .content .btn .cancel{
	border-color: #C5C5C5;
	color: #999999;
}
.loginPopup .van-popup .sjx{
	width: 0.7733rem;
	height: 0.7733rem;
	position: absolute;
	top: -0.2667rem;
	left: 3.24rem;
}

.interpretation{
	width: 10rem;
	height: auto;
	margin-bottom: -4.1333rem;
}
.tarotTraits{
	display: flex;
	width: 9.2rem;
	border-radius: 0.2667rem;
	margin: 0 auto;
	background-color: #FFFFFF;
	padding: 0.5333rem 0.4266rem;
	box-sizing: border-box;
}
.tarotTraits .left{
	text-align: center;
}
.tarotTraits .left img{
	width: 2.2rem;
	height: 3.9466rem;
}
.tarotTraits .left p{
	font-weight: bold;
	font-size: 0.4rem;
	color: #333333;
	margin-top: 0.4rem;
}
.tarotTraits .right{
	margin-left: 0.5333rem;
	font-size: 0.3733rem;
	color: #666666;
	line-height: 0.6933rem;
}
.tarotTraits .right .title{
	font-weight: bold;
	font-size: 0.4266rem;
	color: #333333;
	margin-bottom: 0.4533rem;
}
.wen{
	display: block;
	width: 9.2rem;
	font-weight: 400;
	font-size: 0.3733rem;
	color: #FFFFFF;
	line-height: 0.6133rem;
	margin: 0 auto;
	margin-top: 0.92rem;
}
.wen img{
	width: 0.5866rem;
	height: 0.5866rem;
	vertical-align: middle;
	margin-right: 0.2rem;
}
.depthAnalysis{
	width: 9.2rem;
	margin: 0 auto;
	margin-top: 0.9466rem;
}
.depthAnalysis .title{
	font-weight: bold;
	font-size: 0.4266rem;
	color: #E0B1C6;
}
.depthAnalysis .loading{
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	font-weight: bold;
	font-size: 0.4266rem;
	color: #E0B1C6;
	padding: 0.5333rem 0;
}
.depthAnalysis .content{
	display: block;
	font-weight: 400;
	font-size: 0.3733rem;
	color: #FFFFFF;
	line-height: 0.6133rem;
	padding-bottom: 0.4533rem;
}
.depthAnalysis .content li{
	margin-top: 0.4533rem;
}
.depthAnalysis .content li span{
	color: #E0B1C6;
}
.depthAnalysis .content li p{
	display: inline-block;
	width: 0.1333rem;
	height: 0.1333rem;
	border-radius: 100px;
	background-color: #D9D9D9;
	margin-right: 0.2133rem;
	margin-bottom: 0.065rem;
}

.recommend{
	width: 9.2rem;
	margin: 0 auto;
	margin-top: 0.4266rem;
	padding-bottom: 1.0666rem;
}
.recommend .title{
	display: flex;
	align-items: center;
	justify-content: space-between;
	font-weight: bold;
	font-size: 0.4266rem;
	color: #E0B1C6;
}
.recommend .title .genghuan{
	display: flex;
	align-items: center;
	font-weight: 400;
	font-size: 0.3733rem;
	color: #E0B1C6;
}
.recommend .title .genghuan img{
	width: 0.4266rem;
	height: 0.4266rem;
	margin-top: 2px;
	margin-left: 0.1066rem;
}
.recommend .item{
	display: flex;
	align-items: center;
	margin-top: 0.56rem;
}
.recommend .item .touxiang{
	width: 1.3333rem;
	height: 1.3333rem;
	border-radius: 100px;
	object-fit: cover;
	border: solid #FFFFFF 1px;
}
.recommend .item .info1{
	font-weight: 400;
	font-size: 0.4266rem;
	color: #FFFFFF;
	margin-left: 0.3333rem;
}
.recommend .item .info1 p{
	margin-top: 0.2rem;
	font-size: 0.3733rem;
	width: 5.3866rem;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.recommend .item .right{
	margin-left: auto;
	width: 1.6rem;
	height: 0.72rem;
	background: linear-gradient( 180deg, #F9E2C5 0%, #FBDCA0 100%);
	border-radius: 100px;
	display: flex;
	align-items: center;
	justify-content: center;
	font-weight: 400;
	font-size: 0.3466rem;
	color: #594B9F;
}

.questions{
	width: 9.2rem;
	height: 2.7866rem;
	background: rgba(0,0,0,0.2);
	border-radius: 0.2133rem;
	border: 1px solid #897DC9;
	margin-top: 0.5733rem;
	padding: 0.2667rem 0.32rem;
	box-sizing: border-box;
	color: #FFFFFF;
}
.questionsReal{
	width: 6.2666rem;
	height: 1.1733rem;
	background: linear-gradient( 90deg, #FFDBA8 0%, #FFECCF 50%, #FFDBA8 100%);
	border-radius: 100px;
	margin: 0.7466rem auto;
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
}
.questionsReal span{
	width: 6.08rem;
	height: 1.04rem;
	background: linear-gradient( 90deg, #FFDBA8 0%, #FFECCF 50%, #FFDBA8 100%);
	border-radius: 100px;
	border: 1px solid #FFFFFF;
	display: flex;
	align-items: center;
	justify-content: center;
	font-weight: bold;
	font-size: 0.4rem;
	color: #DB582A;
}
.questionsReal p{
	width: 1.1333rem;
	height: 0.5333rem;
	background-color: #F96661;
	border-radius: 0.2667rem 0.2667rem 0.2667rem 0;
	display: flex;
	align-items: center;
	justify-content: center;
	font-weight: 500;
	font-size: 0.2933rem;
	color: #FFFFFF;
	position: absolute;
	top: -0.2133rem;
	right: 0;
}
.fixedquestions{
	height: 1.4133rem;
}
.fixedquestions .content{
	display: flex;
	align-items: center;
	justify-content: space-between;
	position: fixed;
	bottom: 0;
	left: calc(50% - 5rem);
	width: 10rem;
	height: 1.4133rem;
	background-color: #6857B9;
	padding-bottom: 0;
}
.fixedquestions .content .str_wrap{
	background-color: transparent;
	height: 1.4133rem !important;
	width: 8.9333rem;
}
.fixedquestions .content .str_wrap span{
	line-height: 1.4133rem;
	margin-right: 1rem;
	font-size: 0.3733rem;
	cursor: pointer;
	display: inline-block;
	/* width: 4.96rem; */
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}
.fixedquestions .content .xiala{
	width: 0.3733rem;
	height: 0.3733rem;
	margin-right: 0.4rem;
}


.fixedquestions.hidden{
	display: none;
}

/* 20260804 易灵网-塔罗圣三角杯占卜工具增 str */
.triangularCup .Shuffling{
	margin-bottom: -9.26rem;
}
.triangularCup .title_prompt{
	display: block;
	width: 4.7733rem;
	margin: 0 auto;
}
.triangularCup .text_prompt{
	display: block;
	font-weight: bold;
	font-size: 0.64rem;
	color: #FFFFFF;
	text-align: center;
	margin-top: 0.4rem;
}
.triangularCup .pai_flex{
	display: flex;
	align-items: center;
	justify-content: center;
	padding-top: 0.6rem;
}
.triangularCup .pai_flex img{
	width: 2.4266rem;
	height: 3.7066rem;
	margin: 0 0.8533rem;
}
.triangularCup .pai_flex img:nth-child(2n-1){
	width: 2.1333rem;
	height: 3.2533rem;
	margin: 0;
}
.triangularCup .text2_prompt{
	display: block;
	text-align: center;
	margin-top: 1rem;
	font-weight: bold;
	font-size: 0.4533rem;
	color: #FFFFFF;
	line-height: 0.8133rem;
}
.triangularCup .text2_prompt span{
	color: #FFDCA8;
}
.triangularCup .content_prompt{
	display: block;
	width: 9.2rem;
	border-radius: 8px 8px 8px 8px;
	border: 2px solid #ECE9FE;
	margin: 0 auto;
	margin-top: 0.4666rem;
}
.triangularCup .content_prompt .content{
	/* width: 8.96rem; */
	background: #ECE9FE;
	border-radius: 6px 6px 6px 6px;
	display: block;
	margin: 0.08rem;
	padding-bottom: 0.5333rem;
}
.prompt_bag{
	display: block;
	text-align: center;
	font-weight: bold;
	font-size: 0.4265rem;
	color: #594B9F;
	padding-top: 0.32rem;
}
.prompt_bag img{
	width: 6.5866rem;
	height: 0.4533rem;
	display: block;
	margin: 0 auto;
	margin-bottom: 0.16rem;
}
.triangularCup .content_prompt .title_flex{
	width: 8.2133rem;
	display: flex;
	justify-content: space-between;
	background-color: #FFFFFF;
	border-radius: 0.16rem;
	margin: 0 auto;
	margin-top: 0.5333rem;
	padding: 0 0.5333rem;
	box-sizing: border-box;
}
.triangularCup .content_prompt .title_flex img{
	width: 2.32rem;
	height: 2.32rem;
}
.triangularCup .content_prompt .l{
	padding-right: 0;
}
.triangularCup .content_prompt .l img{
	margin-right: 0.4rem;
}
.triangularCup .content_prompt .title_flex .right{
	width: 4.8rem;
	font-weight: 400;
	font-size: 0.3733rem;
	color: #333333;
}
.triangularCup .content_prompt .title_flex .right span{
	display: flex;
	align-items: center;
	font-weight: 500;
	font-size: 0.4266rem;
	color: #594B9F;
	margin: 0.3466rem 0;
}
.triangularCup .content_prompt .title_flex .right span p{
	width: 0.1066rem;
	height: 0.1066rem;
	background-color: #7261C3;
	border-radius: 100px;
	margin-right: 0.16rem;
}
.triangularCup .content_prompt .text_flex{
	width: 8.2133rem;
	height: 1.12rem;
	display: flex;
	align-items: center;
	margin: 0 auto;
	background-color: #FFFFFF;
	border-radius: 0.16rem;
	margin-top: 0.5333rem;
	font-weight: 400;
	font-size: 0.3733rem;
	color: #333333;
	overflow: hidden;
}
.triangularCup .content_prompt .text_flex span{
	display: flex;
	align-items: center;
	justify-content: center;
	width: 3.16rem;
	height: 1.12rem;
	background: linear-gradient( 90deg, #FFA7A8 0%, #FF8EAD 100%);
	margin-right: 0.5333rem;
	color: #FFFFFF;
}
.triangularCup .but_dh{
	margin-top: 0.88rem;
	margin-bottom: 0.88rem;
}
.triangularCup .pai_flex1{
	display: flex;
	justify-content: center;
	padding-top: 0.6rem;
}
.triangularCup .pai_flex1 .pai2{
	width: 3.0665rem;
}
.triangularCup .pai_flex1 .pai2 img{
	width: 2.3733rem;
	height: 3.68rem;
	margin: 0 auto;
}
.triangularCup .pai_flex1 .pai2 .pai3{
	width: 2.2rem;
	height: 3.72rem;
}
.triangularCup .pai_flex1 .pai2 .text{
	width: 2.3733rem;
	height: 0.6133rem;
	margin: 0 auto;
	background-color: #FFFFFF;
	border-radius: 0.1066rem;
	font-weight: 400;
	font-size: 0.3733rem;
	color: #967AC4;
	line-height: 0.6133rem;
	padding: 0;
	margin-top: 0.1866rem;
	position: relative;
}
.triangularCup .pai_flex1 .pai2 .title{
	width: 3.0665rem;
	display: block;
	text-align: center;
	font-weight: bold;
	font-size: 0.4rem;
	color: #FFDCA8;
	margin: 0.4rem 0;
	white-space: nowrap;
}
.triangularCup .but_dh2{
	margin-top: 0.3066rem;
	margin-bottom: 0.48rem;
}
.triangularCup .but_dh3{
	display: block;
	text-align: center;
	padding-bottom: 1.68rem;
}
.triangularCup .but_dh3 span{
	font-weight: bold;
	font-size: 0.4rem;
	color: #FFFFFF;
}
.triangularCup .warp_prompt{
	position: relative;
	z-index: 10;
}
.triangularCup .content_prompt .content .text{
	font-weight: 400;
	font-size: 0.3733rem;
	color: #333333;
	line-height: 0.6266rem;
	width: 8rem;
	margin: 0 auto;
	padding-top: 0.2266rem;
}
.triangularCup .content_prompt .content .text .c{
	color: #CD643F;
}
.triangularCup .content_prompt .content .zp_bag{
	width: 7.4133rem;
	height: 7.4133rem;
	display: block;
	margin: 0 auto;
	margin-top: 0.2933rem;
}
.triangularCup .content_prompt .content .pai_flex2{
	display: flex;
	justify-content: space-between;
	position: relative;
	margin-top: -7.4133rem;
	height: 9.4rem;
}
.triangularCup .content_prompt .content .pai_flex2 .item{
	width: 3.1866rem;
	text-align: center;
	margin-top: 0.8rem;
}
.triangularCup .content_prompt .content .pai_flex2 .item:nth-child(2){
	margin-top: 3.4933rem;
}
.triangularCup .content_prompt .content .pai_flex2 .item:nth-child(2) .title{
	color: #EE8145;
}
.triangularCup .content_prompt .content .pai_flex2 .item:nth-child(3) .title{
	color: #E65D82;
}
.triangularCup .content_prompt .content .pai_flex2 .item .title{
	font-weight: 400;
	font-size: 0.5866rem;
	color: #715CDB;
}
.triangularCup .content_prompt .content .pai_flex2 .item .title span{
	font-size: 0.3733rem;
	margin-left: 0.5em;
}
.triangularCup .content_prompt .content .pai_flex2 .item .pai{
	width: 2.2rem;
	height: 3.72rem;
	margin-top: 0.3333rem;
}
.triangularCup .content_prompt .content .pai_flex2 .item .text1{
	font-weight: bold;
	font-size: 0.3733rem;
	color: #333333;
	margin-top: 0.4rem;
}

.fixedquestions .content{
	z-index: 100;
}

.triangularCup .biaoqian{
	display: flex;
	align-items: center;
	justify-content: center;
	font-weight: bold;
	font-size: 0.48rem;
	color: #FFFFFF;
	padding-top: 0.4666rem;
}
.triangularCup .biaoqian img{
	width: 0.8266rem;
	height: 0.8266rem;
	margin: 0 0.1733rem;
}

.triangularCup .content_prompt .contentpt30{
	padding-top: 0.4rem;
}
.triangularCup .content_prompt .contentpt30 .biaoti{
	width: 8rem;
	height: 1.4666rem;
	display: block;
	margin: 0 auto;
}
.triangularCup .content_prompt .contentpt30 .pai{
	width: 2.2rem;
	height: 3.72rem;
	margin-top: 0.88rem;
}
.triangularCup .content_prompt .contentpt30 .text1{
	font-weight: bold;
	font-size: 0.3733rem;
	color: #333333;
	margin-top: 0.4rem;
	text-align: center;
}
.triangularCup .content_prompt .contentpt30 .title{
	font-weight: 500;
	font-size: 0.3733rem;
	color: #EE8145;
	width: 8rem;
	margin: 0 auto;
	margin-top: 0.6666rem;
}
.triangularCup .content_prompt .contentpt30 .title1{
	font-weight: 500;
	font-size: 0.3733rem;
	color: #EE8145;
	width: 8rem;
	margin: 0 auto;
	margin-top: 0.4rem;
	text-align: center;
}
/* 20260804 易灵网-塔罗圣三角杯占卜工具增 end */